#!/usr/bin/perl

# This script extracts potential references to images given HTML input.
#
# Assumptions:
#  1) All references are either src=, or data= attributes (this is the
#     case for <img> elements, and <object> elements repectively).
#  2) Attribute values are delimited by quotes (single or double),
#     or the attribute value is a string of one or more non-blank
#     characters.
#  3) Attribute values are not split across lines.
#  4) There are no delimiters within the attribute value (not
#     even if they are escaped).

while (<>)
{
	while (/[[:space:]](src|data)=((["'])(.*?)\3|([^[:space:]]+))/i)
	{
		$_ = $';
		print $4.$5, "\n";
	}
}
